Bug 1449857 - tpm2-tss-1.1.0 is available
Summary: tpm2-tss-1.1.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tpm2-tss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yunying Sun
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-11 00:22 UTC by Upstream Release Monitoring
Modified: 2018-02-24 05:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-24 05:02:08 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.1.0_beta0 (#1449857) (1023 bytes, patch)
2017-05-11 00:22 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.0 (#1449857) (999 bytes, patch)
2017-05-25 12:25 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-05-11 00:22:26 UTC
Latest upstream release: 1.1.0_beta0
Current version/release in rawhide: 1.0-3.fc26
URL: https://github.com/01org/TPM2.0-TSS

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12683/

Comment 1 Upstream Release Monitoring 2017-05-11 00:22:37 UTC
Created attachment 1277720 [details]
[patch] Update to 1.1.0_beta0 (#1449857)

Comment 2 Upstream Release Monitoring 2017-05-11 00:25:09 UTC
hotness's scratch build of tpm2-tss-1.1.0_beta0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19491953

Comment 3 Upstream Release Monitoring 2017-05-25 12:25:12 UTC
Latest upstream release: 1.1.0
Current version/release in rawhide: 1.0-3.fc26
URL: https://github.com/01org/TPM2.0-TSS

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12683/

Comment 4 Upstream Release Monitoring 2017-05-25 12:25:20 UTC
Created attachment 1282243 [details]
[patch] Update to 1.1.0 (#1449857)

Comment 5 Upstream Release Monitoring 2017-05-25 12:27:24 UTC
hotness's scratch build of tpm2-tss-1.1.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19724409

Comment 6 Upstream Release Monitoring 2017-07-26 06:50:00 UTC
yunyings's tpm2-tss-1.1.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=923898

Comment 7 Fedora Update System 2017-07-26 09:47:48 UTC
tpm2-tss-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce79add1eb

Comment 8 Fedora Update System 2017-07-26 23:17:18 UTC
tpm2-tss-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce79add1eb

Comment 9 Yunying Sun 2017-07-27 02:40:01 UTC
tpm2-tss-1.1.0-1.el7 on EPEL7 testing now. 14 days later it will be pushed to EPEL7 stable if everything goes well.

Comment 10 Tuomo Soini 2017-07-27 19:04:21 UTC
There is a dependency issue by new update, tpm2-tools should be updated at same time because there is hard dependency to exact tpm2-tss version on old version of tpm2-tools. So this update shouldn't go to epel7 stable without tpm2-tools update.

Comment 11 Yunying Sun 2017-07-31 02:31:48 UTC
Thanks for reminding Tuomo. I'm working on updating tpm2-tools to latest version for EPEL7.

Comment 12 Yunying Sun 2017-07-31 07:55:28 UTC
tpm2-tools update is tracking with bug 1438113.

tpm2-tools-2.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c994686103
Which updates tpm2-tools from 1.1.0 to latest upstream release 2.1.0.

Comment 13 Upstream Release Monitoring 2017-08-05 00:58:59 UTC
releng's tpm2-tss-1.1.0-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=951734

Comment 14 Yunying Sun 2017-08-10 02:31:43 UTC
tpm2-tools-2.1.0-2.el7 now is ready for being pushed to EPEL7 stable. But as tpm2-tools has dependency to tpm2-tss, I will hold the push until tpm2-tools is ready for stable too, i.e, 5 days to go.

Comment 15 Yunying Sun 2017-08-10 02:32:59 UTC
(In reply to Yunying Sun from comment #14)
> tpm2-tools-2.1.0-2.el7 now is ready for being pushed to EPEL7 stable. But as
Typo.. should be tpm2-tss-1.1.0-1.el7.

Comment 16 Tuomo Soini 2017-08-10 07:07:31 UTC
This should be retired for epel7. RHEL-7.4 included tpm2-tools and tpm2-tss.

Comment 17 Yunying Sun 2017-08-10 08:13:15 UTC
Ok. I will stop pushing tpm2-tools and tpm2-tss to epel7.

Comment 18 Yunying Sun 2017-08-11 02:39:33 UTC
Based on Jerry Snitselaar(jsnitsel@redhat.com)'s comment below:
"At this point we shouldn't have stuff in epel, since we have the actual rhel packages. I will be working on updating (and adding tpm2-abrmd) for 7.5."

tpm2-tss 1.1.0 and tpm2-tools 2.1.0 update have been unpushed for EPEL7.

Comment 19 Yunying Sun 2018-02-24 05:02:08 UTC
1.1.0 was updated for Fedora long time ago(around July 2017). Latest version on Fedora master branch is 1.3.0. So close this issue.


Note You need to log in before you can comment on or make changes to this bug.